curl --request POST \
--url https://demo.enneo.ai/api/mind/telephony/callCompleted \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channelId": "call_123abc456",
"transcript": [
{
"speaker": "agent",
"message": "Hello, my name is AI Assistant. How can I help you today?",
"timestamp": "2024-01-23T14:32:11Z"
}
],
"ticketId": 123,
"duration": 300,
"totalDurationSeconds": 300,
"botDurationSeconds": 45,
"queueDurationSeconds": 30,
"humanDurationSeconds": 225
}
'{
"success": true
}Called when a call is completed to store the final transcript and call details
curl --request POST \
--url https://demo.enneo.ai/api/mind/telephony/callCompleted \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channelId": "call_123abc456",
"transcript": [
{
"speaker": "agent",
"message": "Hello, my name is AI Assistant. How can I help you today?",
"timestamp": "2024-01-23T14:32:11Z"
}
],
"ticketId": 123,
"duration": 300,
"totalDurationSeconds": 300,
"botDurationSeconds": 45,
"queueDurationSeconds": 30,
"humanDurationSeconds": 225
}
'{
"success": true
}JWT-based authentication
Unique identifier of a third party system of this call. If a channelId was provided during a previous /agentConnected api call, the transcript will be appended to the corresponding ticket
"call_123abc456"
Complete transcript of the call
Anzeigen untergeordnete attribute
Optional ticket id of the enneo call ticket. If provided, the transcript will be attached to the given ticket id
123
DEPRECATED: Use totalDurationSeconds instead
300
Total call duration from start to end in seconds
300
Duration spent with the voice bot (automated conversation) in seconds
45
Duration spent waiting in queue for an agent in seconds
30
Duration spent talking with a human agent in seconds
225
Successful operation
Data format of Enneo success messages
Operation was successful
true